# GET /api/v1/policy/{orgId}/list

**List organization Scan Policies**

List the scan policies for this organization.

> Requires `read:policy` permission.

## Parameters

- `orgId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Organization.
- `pageSize` (in: query, integer<int32>) — Pagination response size limit.
- `pageToken` (in: query, integer<int32>) — Pagination request page increment.
- `sortField` (in: query, string) — Resource field to sort paginated response by.
- `sortDir` (in: query, string) — Paginated results are sorted 'asc' or 'desc'.
- `page` (in: query, string) — Pagination page key.

## Responses

### 200 — List of organization scan policy basic information.

#### application/json

- `hasNext` (boolean) — has a next page of results.
- `hasPrev` (boolean) — has a previous page of results.
- `nextPage` (pagination.Page)
  - `filters` (pagination.Filter[]) — Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)
    - `multi` (pagination.MultiValue)
      - `values` (string[]) — The values of a given filter to filter on.
    - `name` (string) — The name of the filter to apply.
    - `value` (string) — A single value to filter on.
  - `number` (integer<int32>) — The page number to retrieve - 0 based
  - `query` (string) — The query string to filter the results.
  - `size` (integer<int32>) — the page size to retrieve.
  - `sortOptions` (pagination.SortOptions)
    - `direction` (string) — The direction to sort the results.
    - `field` (string) — Generic here, each type should define its own Enums + Converters
- `nextPageToken` (string) — PageToken to provide for the next page of results.
- `policies` (scanpolicy.OrganizationScanPolicyInfo[]) — The list of scan polices
  - `description` (string) — The description for this policy.
  - `displayName` (string) — The human readable display name for this policy.
  - `name` (string) — The referencable unique name of a organizations scan policy.
  - `organizationId` (string) — The organizationId the scan policy belongs to.
- `prevPage` (pagination.Page)
  - `filters` (pagination.Filter[]) — Generic filters that each type can define for its needs (isConnected=true, hasMapping=false, etc)
    - `multi` (pagination.MultiValue)
      - `values` (string[]) — The values of a given filter to filter on.
    - `name` (string) — The name of the filter to apply.
    - `value` (string) — A single value to filter on.
  - `number` (integer<int32>) — The page number to retrieve - 0 based
  - `query` (string) — The query string to filter the results.
  - `size` (integer<int32>) — the page size to retrieve.
  - `sortOptions` (pagination.SortOptions)
    - `direction` (string) — The direction to sort the results.
    - `field` (string) — Generic here, each type should define its own Enums + Converters
- `prevPageToken` (string) — PageToken to provide for the previous page of results.
- `totalCount` (integer<int64>) — Total number of results.

### 401 — Unauthorized

- (no body)
